You postulate to deed - Heartbleed bug

Heartbleed is a safety põrnikas inward the open-source OpenSSL cryptography library, widely used to implement the Internet's Transport Layer Security (TLS) protocol. This vulnerability results from a missing bounds cheque inward the treatment of the Transport Layer Security (TLS) heartbeat extension, the heartbeat beingness behind the bug's name. H5N1 fixed version of OpenSSL was released on Apr 7, 2014, at the same fourth dimension equally Heartbleed was publicly disclosed. At that time, about 17 per centum (around one-half a million) of the Internet's secureweb servers certified past times trusted regime were believed to survive vulnerable to the attack, allowing theft of the servers' soul keys as well as users' session cookies as well as passwords. (Heartbleed - Wikipedia, the complimentary encyclopedia)

Here is a listed of places that are or were affected past times the Heartbleed bug.

If something you lot role is on the listing as well as their services have been patched you lot may desire to alter your password.
If they bring non however patched however it volition produce no practiced to alter your password therefore await for that service/site to survive patched as well as therefore alter password.
For example, Gmail was affected merely is right away patched therefore you lot should in all likelihood alter your gmail password.

More details are inward the next link:
 Heartbleed is a safety põrnikas inward the opened upward You postulate to deed - Heartbleed bug The Heartbleed Hit List: The Passwords You Need to Change Right Now